Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.renderkit.html.util
Class DummyFormUtils

    java.lang.Object
      org.apache.myfaces.renderkit.html.util.DummyFormUtils

public class DummyFormUtils
extends java.lang.Object

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary
`static java.lang.String` | `DUMMY_FORM_NAME`

Constructor Summary
`DummyFormUtils()`

Method Summary
`static DummyFormResponseWriter` | `getDummyFormResponseWriter(javax.faces.context.FacesContext facesContext)` Returns a DummyFormResponseWriter.
`static void` | `writeDummyForm(javax.faces.context.ResponseWriter writer, java.util.Set dummyFormParams)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DUMMY_FORM_NAME

    public static final java.lang.String DUMMY_FORM_NAME

See Also:
  Constant Field Values

Constructor Detail

### DummyFormUtils

    public DummyFormUtils()

Method Detail

### getDummyFormResponseWriter

    public static DummyFormResponseWriter getDummyFormResponseWriter(javax.faces.context.FacesContext facesContext)

  Returns a DummyFormResponseWriter. Replaces current ResponseWriter by a DummyFormResponseWriter if necessary.

  Parameters:
    `facesContext` -
  Returns:
    a DummyFormResponseWriter instance

### writeDummyForm

    public static void writeDummyForm(javax.faces.context.ResponseWriter writer,
                                      java.util.Set dummyFormParams)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD